package ru.yandex.webmaster3.viewer.http.turbo.logo;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.FileParameter;
import ru.yandex.webmaster3.core.http.RequestFileProperty;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * Created by ifilippov5 on 13.07.17.
 */
public class UploadTurboLogoRequest extends AbstractUserVerifiedHostRequest {
    private String logoUrl;
    private FileParameter logoFile;

    public String getLogoUrl() {
        return logoUrl;
    }

    @Description("URL для загрузки логотипа")
    @RequestQueryProperty
    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    public FileParameter getLogoFile() {
        return logoFile;
    }

    @Description("Имя загружаемого логотипа")
    @RequestFileProperty
    public void setLogoFile(FileParameter logoFile) {
        this.logoFile = logoFile;
    }
}
